/*************************************
 *          TIME:2020.10.27
 *  Development Team: Zhiyi Technology Co., Ltd.
 *         
 *          
 **************************************/

//define the 74HC595 IO pin
#define SCK 4      //   74HC595-pin 11
#define RCK 7      //   74HC595-pin 12
#define SIN 8      //   74HC595-pin 14
#define EN1 5          
#define EN2 6         

void forward(){ 
  Motor(106,255,255);//forward!
 
  
  Serial.println("Forward");//send message to serial monitor
}

void back(){
   Motor(149,255,255);//back

  Serial.println("Back");
}

void left(){
   Motor(198,255,255);//left
  Serial.println("Left");
}

void right(){
  Motor(57,255,255);//right
  Serial.println("Right");
}

//before execute loop() function, 
//setup() function will execute first and only execute once
void setup() {
  Serial.begin(9600); //open serial and set the baudrate
   //Set the pin mode
    pinMode(EN1, OUTPUT);
    pinMode(EN2, OUTPUT);
    digitalWrite(EN1,LOW);
    digitalWrite(EN2,LOW);
    pinMode(SCK, OUTPUT);
    pinMode(RCK, OUTPUT);
    pinMode(SIN, OUTPUT);
}

//Repeat execution
void loop() {
  forward();  //go forward 
  delay(1000);//delay 1000 ms
  back(); //go back    
  delay(1000);
  left(); //turning left  
  delay(1000);
  right(); //turning right 
  delay(1000);
}
